<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlTempMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlTempMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Temperature sensor monitoring configuration.  
 <a href="structrl_temp_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4dd5e13938ba6230f98cc15afeab4e05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4dd5e13938ba6230f98cc15afeab4e05"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#a4dd5e13938ba6230f98cc15afeab4e05">reportMode</a></td></tr>
<tr class="memdesc:a4dd5e13938ba6230f98cc15afeab4e05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is sent every monitoring period without threshold check <br />
 1 Report is send only upon a failure (after checking for thresholds) <br />
 2 Report is sent every monitoring period with threshold check <br />
. <br /></td></tr>
<tr class="separator:a4dd5e13938ba6230f98cc15afeab4e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8651e8e36a62369a46f881607c050df6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8651e8e36a62369a46f881607c050df6"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#a8651e8e36a62369a46f881607c050df6">reserved0</a></td></tr>
<tr class="memdesc:a8651e8e36a62369a46f881607c050df6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a8651e8e36a62369a46f881607c050df6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1acf11beae2a4bf8cc459dc793cf94"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a1acf11beae2a4bf8cc459dc793cf94"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#a3a1acf11beae2a4bf8cc459dc793cf94">anaTempThreshMin</a></td></tr>
<tr class="memdesc:a3a1acf11beae2a4bf8cc459dc793cf94"><td class="mdescLeft">&#160;</td><td class="mdescRight">The temperatures read from near the sensors near the RF analog modules are compared against a minimum threshold. The comparison result is part of the monitoring report message (Error bit is set if any measurement is outside this (minimum, maximum) range).<br />
 1 LSB = 1 degree Celsius, signed number <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a3a1acf11beae2a4bf8cc459dc793cf94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70f3213a480bc0759f6e352e060944a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70f3213a480bc0759f6e352e060944a1"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#a70f3213a480bc0759f6e352e060944a1">anaTempThreshMax</a></td></tr>
<tr class="memdesc:a70f3213a480bc0759f6e352e060944a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The temperatures read from near the sensors near the RF analog modules are compared against a maximum threshold. The comparison result is part of the monitoring report message (Error bit is set if any measurement is outside this (minimum, maximum) range). <br />
 1 LSB = 1 degree Celsius, signed number <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a70f3213a480bc0759f6e352e060944a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee2a0c228dc81865e8964ad9b831b435"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee2a0c228dc81865e8964ad9b831b435"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#aee2a0c228dc81865e8964ad9b831b435">digTempThreshMin</a></td></tr>
<tr class="memdesc:aee2a0c228dc81865e8964ad9b831b435"><td class="mdescLeft">&#160;</td><td class="mdescRight">The temperatures read from near the sensor near the digital module are compared against a minimum threshold. The comparison result is part of the monitoring report message (Error bit is set if any measurement is outside this (minimum, maximum) range). <br />
 1 LSB = 1 degree Celsius, signed number <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:aee2a0c228dc81865e8964ad9b831b435"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2242c3b0784a38b1b294491cb8b16253"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2242c3b0784a38b1b294491cb8b16253"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#a2242c3b0784a38b1b294491cb8b16253">digTempThreshMax</a></td></tr>
<tr class="memdesc:a2242c3b0784a38b1b294491cb8b16253"><td class="mdescLeft">&#160;</td><td class="mdescRight">The temperatures read from near the sensor near the digital module are compared against a maximum threshold. The comparison result is part of the monitoring report message (Error bit is set if any measurement is outside this (minimum, maximum) range). <br />
 1 LSB = 1 degree Celsius, signed number <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a2242c3b0784a38b1b294491cb8b16253"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a375c6a7663cbee508e53c5d84662c607"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a375c6a7663cbee508e53c5d84662c607"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#a375c6a7663cbee508e53c5d84662c607">tempDiffThresh</a></td></tr>
<tr class="memdesc:a375c6a7663cbee508e53c5d84662c607"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum difference across temperatures read from all the enabled sensors is compared against this threshold.The comparison result is part of the monitoring report message(Error bit is set if the measured difference exceeds this field). <br />
 1 LSB = 1o Celsius, signed number <br />
 Valid range : TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a375c6a7663cbee508e53c5d84662c607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92c51b1cdbb45eb434ec9d104d3cfafc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92c51b1cdbb45eb434ec9d104d3cfafc"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#a92c51b1cdbb45eb434ec9d104d3cfafc">reserved1</a></td></tr>
<tr class="memdesc:a92c51b1cdbb45eb434ec9d104d3cfafc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a92c51b1cdbb45eb434ec9d104d3cfafc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33012a7cc941368ee8d840b20595ecf9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33012a7cc941368ee8d840b20595ecf9"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_temp_mon_conf__t.html#a33012a7cc941368ee8d840b20595ecf9">reserved2</a></td></tr>
<tr class="memdesc:a33012a7cc941368ee8d840b20595ecf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a33012a7cc941368ee8d840b20595ecf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Temperature sensor monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
